<app-loading *ngIf='isLoading'></app-loading>
<div class='content'>
  <mb-button
    mbButtonSize="MEDIUM"
    mbButtonText="{{ 'goaManagement.common.addButton' | translate }}"
    mbButtonTextColor="#141ED2"
    mbButtonAvailableStyle="PRIMARY"
    (click)="showModalAddItem(footerTmpl, 'ADD')"
    *ngIf='objFunction?.create'
  >
  </mb-button>
</div>

<!--form-->
<div class="form-setup-header">
  <div nz-row [nzGutter]="[30, 10]">
    <div nz-col nzSm="24" nzXs="24" nzLg="6" *ngIf="dataAssessmentPeriod$ | async as dataAssessmentPeriod; else nodata">
      <mb-select [mbDataSelects]="dataAssessmentPeriod.data" [mbShowSearch]="false"
                 mbLabelText="{{'goaManagement.system-allocation.label.attribute.CodeAllocation' | translate}}"
                 mbKeyLabel="periodName"
                 mbKeyValue="periodId"
                 (mbSelect)="onSelected($event)"
      >
      </mb-select>
    </div>
    <ng-template #nodata>
      <div nz-col nzSm="24" nzXs="24" nzLg="6">
        <mb-select [mbDataSelects]=""
                   mbLabelText="{{'goaManagement.system-allocation.label.attribute.CodeAllocation' | translate}}"
                   mbKeyLabel="periodName"
                   mbKeyValue="periodId"
        >
        </mb-select>
      </div>
    </ng-template>
  </div>
</div>


<!--table-->
<div class='search__content--group' *ngIf="dataTable$ | async as dataTable ">
  <mb-table-wrap [mbTitle]="''" [nonBg]="true">
    <mb-table
      (onDblClickNode) ="showModalAddItem(footerTmpl, 'EDIT', $event)"
      [heightTable]="heightTable"
      (changePageNum)='changePage($event)'
      [tableConfig]='tableConfig' [tableData]='dataTable.data.content'></mb-table>
  </mb-table-wrap>
</div>

<ng-template #selectTmpl let-flagStatus='flagStatus'>
  <nz-switch [ngModel]="flagStatus" [nzDisabled]="true"></nz-switch>
</ng-template>

<ng-template #footerTmpl>
  <mb-button mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.saveS' | translate}}"
             *ngIf='objFunction?.edit'
             (click)="modalRef.getContentComponent().save()">
  </mb-button>
  <mb-button mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="{{'common.button.cancel' | translate}}" (click)="modalRef.destroy()">
  </mb-button>
</ng-template>

<ng-template #deleteItemRecord let-id='id'>
  <mb-button-icon mbButtonType='DELETE' (click)="showDeleteItemRecord(id)" *ngIf='objFunction?.delete'></mb-button-icon>
</ng-template>


